WfTemplatesServiceAsync (gCube Workflow Templates Portlet 2.0.0-SNAPSHOT API)
Date: 2013-05-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.wftemplates.client
Interface WfTemplatesServiceAsync

    public interface WfTemplatesServiceAsync

The async counterpart of `WfTemplatesService`.

Method Summary
`void` | `deleteTemplate(org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate toDelete, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
`void` | `getRoleDetails(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails>> callback)`
`void` | `getTemplates(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate>> callback)`
`void` | `saveTemplate(String wfName, org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph toSave, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`

Method Detail

### getTemplates

    void getTemplates(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate>> callback)

### getRoleDetails

    void getRoleDetails(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails>> callback)

### saveTemplate

    void saveTemplate(String wfName,
                      org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph toSave,
                      com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

### deleteTemplate

    void deleteTemplate(org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate toDelete,
                        com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.